=begin
  locale_win32.rb - Locale module for win32.

  Copyright (C) 2002,2003  Masao Mutoh <mutoh@highway.ne.jp>

  You may redistribute it and/or modify it under the same
  license terms as Ruby.

  $Id: locale_win32.rb,v 1.3 2003/07/05 15:47:25 mutoh Exp $
=end

require 'gettext/_locale'
require 'gettext/locale_table_win32'

module Locale
  def __get
    pri_id, sub_id = __locale_id
    lang = LocaleTable.assoc(pri_id)
    if lang.size == 3
      lang = lang[2].assoc(sub_id)
    end
    lang ? lang[1] : nil
  end

  module_function :__get
end

